# adc121c021.py

from utils import I2C_com
from machine import Pin
 
class ADC121C021:
    REG_ADDR_RESULT = const(0x00)
    REG_ADDR_ALERT = const(0x01)
    REG_ADDR_CONFIG = const(0x02)
    REG_ADDR_LIMITL = const(0x03)
    REG_ADDR_LIMITH = const(0x04)
    REG_ADDR_HYST = const(0x05)
    REG_ADDR_CONVL = const(0x06)
    REG_ADDR_CONVH = const(0x07)
    CAL_FACTOR = 0.0015032
 
    def __init__(self, scl = Pin(22), sda = Pin(21), addr = 0x50):
        self._i2c_com = I2C_com(addr, scl, sda)

    def getValue(self):
        data_list = self._i2c_com.readBlock(REG_ADDR_RESULT, 2)
        data = ((data_list[0] & 0x0f) << 8 | data_list[1]) & 0xfff
        return data * ADC121C021.CAL_FACTOR
 
